<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  16/09/10, 21:27
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
*/
function in_obj_product_listing(){
  global $page;
  $mod=$page->oscss_modules->_return('product_listing');
  $listing_split=$mod['listing_split'];
  $listing_query=$mod['listing_split']->sql_query;
  $languages_id=$page->the_var('languages_id');
  $currencies=$page->return_object('currencies');
  $p=array();
  /** init aca module */
  $aca_listing=$page->new_class('listing');
  if(is_string($listing_query))$listing_query=tep_db_query($listing_query);

  while ($listing = tep_db_fetch_array($listing_query)){
    $pd=product::get_item($listing['products_id']);
    $pd->aca=$aca_listing->return_db_min($listing['products_id']);
    $p[]=$pd;
  }


  return new objectInfo(array('title'=>((isset($mod['title']))? $mod['title']:''), 'content'=>$p, 'split'=> $listing_split ));

}

?>